package cn.iocoder.yudao.module.system.enums.robot.information;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 车辆分页-车辆状态
 */
@Getter
@AllArgsConstructor
public enum RobotStatisticsTypeEnum {

    STANDBY("standby","待命"),
    INTASK("inTask","任务中"),
    DOLOCK("doLock","锁定"),
    OFFLINE("offline","离线"),
    CHARGE("charge","充电中"),
    FAULT("fault","故障");
    /**
     * 类型
     */
    private final String type;
    private final String msg;

}
